<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <system.webServer>
        <rewrite>
            <rules>

                <rule name="pas de www" stopProcessing="true">
                    <match url="(.*)" />
                    <conditions>
                        <add input="{HTTP_HOST}" pattern="^www\.madeleinee\.live$" />
                    </conditions>
                    <action type="Redirect" url="https://madeleinee.live/{R:1}" />
                </rule>

                <rule name="page projets">
                    <match url="^projets$" />
                    <action type="Rewrite" url="/pages/projets.html" />
                </rule>
                
                <rule name="page projets 3D">
                    <match url="^projets_3d$" />
                    <action type="Rewrite" url="/pages/projets_3D.html" />
                </rule>

                <rule name="page index_en">
                    <match url="^en$" />
                    <action type="Rewrite" url="pages/pages en/index_en.html" />
                </rule>
                
                <rule name="page projets_en">
                    <match url="^en/projects$" />
                    <action type="Rewrite" url="pages/pages en/projets_en.html" />
                </rule>

                <rule name="page projets_3D_en">
                    <match url="^en/3D_projects$" />
                    <action type="Rewrite" url="pages/pages en/projets_3D_en.html" />
                </rule>

            </rules>
        </rewrite>
    </system.webServer>
</configuration>
